98-remove_unwanted_packages 1.46 KB
Newer Older
1
2
3
4
5
6
7
8
9
#!/bin/sh

echo "Removing unwanted packages"

### Deinstall dev packages.

# We use apt-get as aptitude doesn't know about globs.
# There are packages we could be tempted to remove but we can't:
#   - gcc-4.4-base (libstdc++6 depends on it)
10
11
#   - libgcc1 (vidalia depends on it)
#   - cpp, cpp-4.4 (big parts of GNOME depend on it)
12
apt-get --yes purge  \
13
14
   '^linux-kbuild-*' \
   '^linux-headers-*' \
15
   build-essential debhelper dkms dpatch dpkg-dev \
16
   cpp-4.3 \
17
   gcc gcc-4.3 gcc-4.3-base gcc-4.4 \
18
   g++ '^g\+\+-*' \
19
   intltool-debian \
20
   libc6-dev libgl1-mesa-dev libstdc++6-4.4-dev linux-libc-dev \
21
22
23
24
25
26
   make \
   module-assistant \
   po-debconf \
   virtualbox-ose-guest-dkms

### Deinstall some other unwanted packages.
27
apt-get --yes purge  \
28
29
30
   tasksel tasksel-data

### Deinstall dependencies of the just removed packages.
31
apt-get --yes --purge autoremove
32

33
### Deinstall gnome-core and some of its new dependencies.
34

35
36
37
38
# We do this last as we don't want apt-get autoremove to deinstall all
# gnome-core dependencies.

# - gnome-core itself
39
apt-get --yes purge gnome-core
40
41

# - evolution and its dependencies
42
apt-get --yes purge \
43
44
45
46
   evolution evolution-common libevolution \
   libgtkhtml-editor-common libgtkhtml-editor0 libgtkhtml3.14-19

# - gvfs-backends and its dependencies
47
apt-get --yes purge \
48
49
   gvfs-backends libcdio-cdda0 libcdio-paranoia0 libsmbclient libwbclient0 \
   libtalloc2
50
51

# - others
52
apt-get --yes purge \
53
   gnome-screensaver gnome-keyring gnome-user-guide